%define name gnome-window-picker-applet
%define version  0.5.6
%define release %mkrel 2
%define __libtoolize /bin/true


Summary: Window picker applet for GNOME
Summary(de): Window Picker Applet für Gnome
Name:    %{name}
Version: %{version}
Release: %{release}
Group:   Graphical desktop/GNOME 
License: GPLv3
URL:     https://launchpad.net/window-picker-applet
Source0: http://launchpad.net/window-picker-applet/0.5/ubuntu-9.10-ui-freeze/+download/window-picker-applet-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gnome-panel-devel
BuildRequires:  libwnck-devel
BuildRequires:  intltool
Requires:       gnome-panel
Requires(post):  GConf2
Requires(preun): GConf2
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %version


%description
A gnome-panel applet that displays open windows as icons on the panel,
and has integrated window title-bar functionality. Optimised for use
on netbook-size screens.

#german
%description -l de
Das Window-Picker-Applet aus dem Netbook Remix ist eine Alternative 
Möglichkeit, den Fensterrahmen einzusparen.

%prep
%setup -q -n window-picker-applet-%{version}


%build
%configure2_5x 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang window-picker-applet

%define schemas window-picker-applet

%post
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f window-picker-applet.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog
%{_sysconfdir}/gconf/schemas/*.schemas
%{_libdir}/bonobo/servers/GNOME_WindowPicker.server
%{_libdir}/window-picker-applet

%changelog
* Fri Jan 08 2010 Texstar <texstar at gmail.com> 0.5.6-2pclos2010
- rebuild

* Tue Nov 10 2009 slick50 <lxgator@gmail.com> 0.5.6-1pclos2010
- initial build 
